<?php

namespace Targetbay\Tracking\Block;

use Magento\Framework\Registry;
use Magento\Framework\View\Element\Template;
use Magento\Framework\View\Element\Template\Context;
use Targetbay\Tracking\Helper\GoogleReview;
use Magento\Sales\Model\OrderFactory;

class GoogleReviews extends Template
{
    protected $orderFactory;
    protected $helper;

    public function __construct(Context $context, Registry $registry, GoogleReview $helper, OrderFactory $orderFactory, array $data = [])
    {
        $this->helper = $helper;
        $this->registry = $registry;
        $this->orderFactory = $orderFactory;
        parent::__construct($context, $data);
    }

    public function getHelper()
    {
        return $this->helper;
    }
}
